[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TDosStream.Close

Close the file.

## Declaration

Source position: objects.pp line 315

`procedure TDosStream.Close; virtual;`

## Description

Close closes the file if it was open, and sets Handle to -1. Contrary to Done it does not clean up the instance of TDosStream

For an example, see TDosStream.Open.

## Errors

None.

## See also

TStream.Close |  | Close the stream
TDosStream.Init |  | Instantiate a new instance of TDosStream.
TDosStream.Done |  | Closes the file and cleans up the instance.

Documentation generated on: Feb 26 2014